-------------------------------------------------------------------------------
-- LISTENER by Tammya-MoonGuard (2016)
-------------------------------------------------------------------------------

local Listener = ListenerAddon
Listener.Locale = {}
local L = Listener.Locale

-------------------------------------------------------------------------------
setmetatable( L, { 

	-- Normally, the key is the translation in english. 
	-- If a value isn't found, just return the key.
	__index = function( table, key ) 
		return key 
	end;
	
	-- When treating the L table like a function, it can accept arguments
	-- that will replace {1}, {2}, etc in the text.
	__call = function( table, key, ... )
		for i = 1, select( "#", ... ) do
			local text = select( i, ... )
			key = string.gsub( key, "{" .. i .. "}", text )
		end
		return key
	end;
})

-------------------------------------------------------------------------------
--L["Version:"] =                          -- Version string for help

--L["read"]     =                          -- Chat command
--L["add"]      =                          -- Chat command
--L["remove"]   =                          -- Chat command
--L["clear"]    =                          -- Chat command
--L["list"]     =                          -- Chat command
--L["Specify name or target someone."] =   -- Error message

--L["Player list: "]        =              -- When listing players.
--L["Cleared all players."] =              -- When resetting player list.
--L["Removed: "]            =              -- When removing a player.
--L["Not listening: "]      =              -- When trying to remove a player.
--L["Added: "]              =              -- When adding a player.
--L["Already listening: "]  =              -- When trying to add a player.